Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.optimizers
Class OptimizerChain

    java.lang.Object
      org.deegree.graphics.optimizers.AbstractOptimizer
          org.deegree.graphics.optimizers.OptimizerChain

All Implemented Interfaces:
  Optimizer

    public class OptimizerChain

extends AbstractOptimizer

Allows the chaining of `Optimizer`s. Implements the `Optimizer` interface as well.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.graphics.optimizers.AbstractOptimizer
`mapView, themes`

Constructor Summary
`OptimizerChain()` Creates an empty instance of `OptimizerChain`.
`OptimizerChain(Optimizer[] optimizers)` Constructs a new `OptimizerChain` that contains the given `Optimizer` instances.

Method Summary
`void` | `addOptimizer(Optimizer optimizer)` Appends an `Optimizer` to the end of the processing chain.
`void` | `optimize(Graphics2D g)` Performs the optimization for all contained `Optimizer` instances.

Methods inherited from class org.deegree.graphics.optimizers.AbstractOptimizer
`addTheme, setMapView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptimizerChain

    public OptimizerChain()

  Creates an empty instance of `OptimizerChain`.

### OptimizerChain

    public OptimizerChain(Optimizer[] optimizers)

  Constructs a new `OptimizerChain` that contains the given `Optimizer` instances.

  Parameters:
    `optimizers` -

Method Detail

### addOptimizer

    public void addOptimizer(Optimizer optimizer)

  Appends an `Optimizer` to the end of the processing chain.

  Parameters:
    `optimizer` - `Optimizer` to be added

### optimize

    public void optimize(Graphics2D g)
                  throws Exception

  Performs the optimization for all contained `Optimizer` instances. Calls `Optimizer.optimize(Graphics2D)` for all contained `Optimizer` instances. subsequently.

  Parameters:
    `g` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org